#!/bin/bash

#
#HCCAD startup script
#

XDG_DATA_HOME="/var/tmp"
EXTEND_LIB_PATH="/usr/lib/x86_64-linux-gnu/"

Package_Name="com.gstarcad.cad"
Version="v2021"
Languge="zh-cn"

Env_User_Data=$XDG_DATA_HOME

if [ -z $Env_User_Data ]
then
        Env_User_Data=$HOME             
fi

if [ -z $Env_User_Data ]
then
        Env_User_Data="/var/tmp"             
fi

export Env_User_Data=${Env_User_Data}/${Package_Name}
export XMODIFIERS=@im=fcitx  

export XIM=fcitx  

export XIM_PROGRAM=fcitx  

export GTK_IM_MODULE=fcitx  

export QT_IM_MODULE=fcitx

export Env_Sys_lib=${Env_User_Data}/${Version}/${Languge}/systemlibs
mkdir -p ${Env_Sys_lib}
for var in `ls /opt/${Package_Name}/${Version}/files/systemlibs`
do
    if test ! -e ${EXTEND_LIB_PATH}/${var} ; then cp /opt/${Package_Name}/${Version}/files/systemlibs/${var} ${Env_Sys_lib}; fi
done


CAD_RUN_PATH="/opt/${Package_Name}/${Version}/files"
export QT_QPA_PLATFORM_PLUGIN_PATH=${CAD_RUN_PATH}
export QT_DEBUG_PLUGINS=1
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:"${CAD_RUN_PATH}":"${CAD_RUN_PATH}/drivers":"${Env_Sys_lib}"

#$BINARY
"${CAD_RUN_PATH}/gcad" "$1"
